Bonuses
Cette page n'est pas disponible en français. La version anglaise est affichée.
Get a list of bonuses
Use this method to obtain a list of bonuses allocated to clients.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Sets the limit
Range
1 <= value <= 1000Default
10offset?integer
Sets the offset
Range
0 <= valueDefault
0sort_order?string
Sorts the items in ascending or descending order
Default
"desc"Value in
- "asc"
- "desc"
sort_by?unknown
Sorts the items by a specified value
Default
"createTime"filter?
Filters the items by a specified value
Header Parameters
accept-language?string
Response Body
application/json
curl -X GET "https://example.com/api/v2/my/bonuses?limit=10&offset=0&sort_order=desc" \ -H "accept-language: ja"{ "total": 1, "data": [ { "id": 1, "caption": "Bonus caption", "clientId": 1, "clientName": "Mary Smith", "clientEmail": "username@example.com", "accountId": 1, "accountNumber": "2100242175", "amount": "100.00", "initialAmount": "100.00", "volumeComplete": "0.060", "temporaryBonus": "Bonus", "currency": { "alphabeticCode": "USD", "minorUnit": 2, "name": "US Dollar", "numericCode": 840 }, "currencyExp": 1, "fictiveVolumeComplete": "1.11", "volumeThreshold": "1.11", "lifetime": 0, "enableAutoCredit": true, "scalpingThreshold": "1", "enableTrade": true, "disabledGroups": [ "EURJPY" ], "dynamicLots": "1.000", "status": "Expired", "createdAt": "2022-01-01T00:00:00+00:00", "updatedAt": "2022-01-01T00:00:00+00:00" } ]}